## org.apache.aries.subsystem.obr.internal
Class ResourceHelper

    java.lang.Object
      org.apache.aries.subsystem.obr.internal.ResourceHelper

    public class ResourceHelper

extends Object

Constructor Summary
`ResourceHelper()`

Method Summary
`static String` `getContentAttribute(org.osgi.resource.Resource resource)`
`static Object` `getContentAttribute(org.osgi.resource.Resource resource, String name)`
`static Object` `getIdentityAttribute(org.osgi.resource.Resource resource, String name)`
`static org.osgi.resource.Resource` `getResource(org.osgi.resource.Requirement requirement, org.osgi.service.repository.Repository repository)`
`static String` `getSymbolicNameAttribute(org.osgi.resource.Resource resource)`
`static String` `getTypeAttribute(org.osgi.resource.Resource resource)`
`static org.osgi.framework.Version` `getVersionAttribute(org.osgi.resource.Resource resource)`
`static boolean` `matches(org.osgi.resource.Requirement requirement, org.osgi.resource.Capability capability)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceHelper

    public ResourceHelper()

Method Detail

### getContentAttribute

    public static String getContentAttribute(org.osgi.resource.Resource resource)

### getContentAttribute

    public static Object getContentAttribute(org.osgi.resource.Resource resource,
                                             String name)

### getIdentityAttribute

    public static Object getIdentityAttribute(org.osgi.resource.Resource resource,
                                              String name)

### getResource

    public static org.osgi.resource.Resource getResource(org.osgi.resource.Requirement requirement,
                                                         org.osgi.service.repository.Repository repository)

### getSymbolicNameAttribute

    public static String getSymbolicNameAttribute(org.osgi.resource.Resource resource)

### getTypeAttribute

    public static String getTypeAttribute(org.osgi.resource.Resource resource)

### getVersionAttribute

    public static org.osgi.framework.Version getVersionAttribute(org.osgi.resource.Resource resource)

### matches

    public static boolean matches(org.osgi.resource.Requirement requirement,
                                  org.osgi.resource.Capability capability)

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.